funcprot(0);
// ---------------------------------------------------------------------

// M Masse
M_er=5.97e24; // kg Erde
M_ju=317.8*M_er; // Jupiter
M_mo=(1/81.53)*M_er; // Mond

// D Durchmesser [km]
D_mo=3476;
D_ju=143600;
D_er=12757; 

// Gravitationskonstante
G=6.67e-11; // N m^2 kg^-2 

// Dipolkraft [N]
function rKd=fKd(r)
    R=0.5*D_ju+r+0.5*D_mo;
    rKd=3*G*M_ju*M_mo*(1/R^3)*D_mo;
endfunction

//----------------------------------------------------------------------

r_0=0;
r_end=400000; // km
Nb=1000;
rData=linspace(r_0,r_end,Nb);


nbpionts=size(rData,"c");

kdData=[];
for Ix=1:nbpionts
    kdData(Ix)=fKd(rData(Ix));
end

R_ermo=0.5*D_er+r_end+0.5*D_mo;
Kd_ermo=3*G*M_er*M_mo*(1/R_ermo^3)*D_mo;

K1=(1/3.6)*Kd_ermo/M_mo;
K2=(1/3.6)*kdData(nbpionts)/M_mo;

disp(K1);
disp(K2);
disp(K2/K1);

faktor=1/kdData(nbpionts);
kdData=kdData*faktor;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

f=scf(2);
clf(f,"reset");
a=gca();

drawlater();
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

xtitle ( " Zerreißkräfte am Mond in Jupiternähe " ,..
         " Abstand  [km] ",..
         " Kd / Kd-min [N m^2 kg^-2] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

plot2d(rData,kdData);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
drawnow();









